Change "abort" to "close" or "cancel" in default KDE apps

Bug #389751 reported by Celeste Lyn Paul on 2009-06-20
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Undecided
Mackenzie Morgan
kde4libs (Ubuntu)
Wishlist
Mackenzie Morgan
kdebase (Ubuntu)
Undecided
Mackenzie Morgan
kdebase-workspace (Ubuntu)
Undecided
Mackenzie Morgan
kdegames (Ubuntu)
Undecided
Mackenzie Morgan
kdepim (Ubuntu)
Undecided
Mackenzie Morgan
kdesdk (Ubuntu)
Undecided
Mackenzie Morgan

Bug Description

Some KDE applications, such as Kate, use "abort" instead of "cancel" in their confirmation dialogs. These labels should be changed to "cancel" to match the rest of the environment.

Celeste Lyn Paul (seele) wrote :
Celeste Lyn Paul (seele) wrote :
Changed in hundredpapercuts:
status: New → Confirmed
tags: added: hundredpaperkuts
Celeste Lyn Paul (seele) on 2009-06-25
Changed in hundredpapercuts:
assignee: nobody → Mackenzie Morgan (maco.m)

 affects ubuntu/kdepim
 assignee maco.m
 status inprogress

 affects ubuntu/kdesdk
 assignee maco.m
 status inprogress

Changed in kdepim (Ubuntu):
assignee: nobody → Mackenzie Morgan (maco.m)
status: New → In Progress
Mackenzie Morgan (maco.m) wrote :

Forgot to put the bug number in the
debian/changelog ..re-attaching

Mackenzie Morgan (maco.m) wrote :

 affects ubuntu/kde4libs
 assignee maco.m
 status inprogress

Celeste, in kdebase there are two things about which I'm unsure:
1) kdebugdialog --fullmode
has an "Abort on fatal error" checkbox. Since this is a developer-type
application should it be left alone? (Also, I think it might mean that in the
SIGABRT sense)
2) The kdm dialog regarding whether active sessions should be aborted in order
to shutdown...should that change too? If so, would "exit" be a more
appropriate term to use?

(attaching debdiff for kross in kde4libs)

 affects ubuntu/kdebase
 status inprogress
 assignee maco.m

 affects ubuntu/kdebase-workspace
 status inprogress
 assignee maco.m

Lydia pointed out that some of the games say "Abort game" instead of "End
game", so...

 affects ubuntu/kdegames
 assignee maco.m
 status inprogress

Mackenzie Morgan (maco.m) wrote :

kdebase, kdebase-workspace, and kdepim patches sent upstream. Now having issues with reviewboard in trying to submit others.

Celeste Lyn Paul (seele) wrote :

Maco has submitted patches to KDE Review Board, some have been committed and others are waiting for revision/review.

Changed in hundredpapercuts:
status: Confirmed → In Progress
Changed in kde4libs (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde4libs - 4:4.3.0-0ubuntu1

---------------
kde4libs (4:4.3.0-0ubuntu1) karmic; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump RUNTIME_DEPS in debian/rules
    - Remove kubuntu_70_revert_submenus.diff fixed by upstream

  [ Jonathan Riddell ]
  * Add kubuntu_70_abort_script.diff, LP: #389751

 -- Jonathan Riddell <email address hidden> Fri, 31 Jul 2009 18:21:00 +0100

Changed in kde4libs (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdebase-workspace - 4:4.3.0-0ubuntu1

---------------
kdebase-workspace (4:4.3.0-0ubuntu1) karmic; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump KDE versions to 4.3.0
    - Remove kubuntu_88_solid_branch.diff fixed by upstream
    - Update kdebase-workspace-dev.install
    - Update kdm.install and plasma-dataengines-workspace.install

  [ Jonathan Riddell ]
  * Don't load network manager plasmoid, using knetworkmanager for now
  * Use Show Desktop widget instead of Show Dashboard, Closes LP:
    #389747
  * Add kubuntu_88_abort_string.diff, LP: #389751
  * Add kubuntu_90_oxygen_air_kdm.diff from trunk, new KDM bling

 -- Jonathan Riddell <email address hidden> Fri, 31 Jul 2009 17:30:55 +0100

Changed in kdebase-workspace (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdebase - 4:4.3.0-0ubuntu1

---------------
kdebase (4:4.3.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Remove kubuntu_17_startup_notification.diff, applied upstream
  * Add kubuntu_17_abort_string.diff, Closes LP: #389751

 -- Jonathan Riddell <email address hidden> Fri, 31 Jul 2009 17:52:40 +0100

Changed in kdebase (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdegames - 4:4.3.0-0ubuntu1

---------------
kdegames (4:4.3.0-0ubuntu1) karmic; urgency=low

  [ Christian Mangold ]
  * New upstream release
  * Bump version of kdelibs5-dev build-dep to 4.3.0

  [ Jonathan Riddell ]
  * Add kubuntu_01_abort.diff, Closes LP: #389751

 -- Jonathan Riddell <email address hidden> Fri, 31 Jul 2009 17:15:46 +0100

Changed in kdegames (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdepim - 4:4.3.0-0ubuntu1

---------------
kdepim (4:4.3.0-0ubuntu1) karmic; urgency=low

  [ Christian Mangold ]
  * New upstream release
  * Bump version of kdelibs5-dev and kdepimlibs5-dev to 4.3.0

  [ Jonathan Riddell ]
  * Add kubuntu_01_abort2cancel.diff from trunk, LP: #389751

 -- Jonathan Riddell <email address hidden> Fri, 31 Jul 2009 15:39:24 +0100

Changed in kdepim (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdesdk - 4:4.3.0-0ubuntu1

---------------
kdesdk (4:4.3.0-0ubuntu1) karmic; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-depend versions

  [ Jonathan Riddell ]
  * Add kubuntu_02_abort2cancel.diff, LP: #389751

 -- Jonathan Riddell <email address hidden> Fri, 31 Jul 2009 16:04:23 +0100

Changed in kdesdk (Ubuntu):
status: In Progress → Fix Released
Changed in hundredpapercuts:
status: In Progress → Fix Released
Celeste Lyn Paul (seele) on 2009-08-10
Changed in hundredpapercuts:
milestone: none → round-7
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers